PROJ	=HASM64
DEBUG	=0
CC	=qcl
CFLAGS_G	= /AH /W0 /Za 
CFLAGS_D	= /Zd /Od 
CFLAGS_R	= /O /Ol /Gs /DNDEBUG 
CFLAGS	=$(CFLAGS_G) $(CFLAGS_R)
LFLAGS_G	= /CP:0xfff /NOI /NOE /SE:0x80 /ST:0x800 
LFLAGS_D	= 
LFLAGS_R	= 
LFLAGS	=$(LFLAGS_G) $(LFLAGS_R)
RUNFLAGS	=
OBJS_EXT = 	
LIBS_EXT = 	

.asm.obj: ; $(AS) $(AFLAGS) -c $*.asm

all:	$(PROJ).EXE

codegen.obj:	codegen.c $(H)

expr.obj:	expr.c $(H)

hasm64.obj:	hasm64.c $(H)

parser.obj:	parser.c $(H)

scan64.obj:	scan64.c $(H)

scanner.obj:	scanner.c $(H)

symtab.obj:	symtab.c $(H)

$(PROJ).EXE:	codegen.obj expr.obj hasm64.obj parser.obj scan64.obj scanner.obj symtab.obj $(OBJS_EXT)
	echo >NUL @<<$(PROJ).crf
codegen.obj +
expr.obj +
hasm64.obj +
parser.obj +
scan64.obj +
scanner.obj +
symtab.obj +
$(OBJS_EXT)
$(PROJ).EXE

$(LIBS_EXT);
<<
	qlink $(LFLAGS) @$(PROJ).crf

run: $(PROJ).EXE
	$(PROJ) $(RUNFLAGS)

